<?php

return array
(
    # 表名
    'name' => 'config_card',
    # 显示给用户看的名称
    'lang' => '用户充值卡',
    'menu' => false,
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'list'        => true,
        ),

        'config_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '账户id',
			'default' 	=> '',
			'desc' 		=> '账户id',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('set_config_id'),
		),

        'name'      => array
        (
            'type'      => 'varchar-150',
            'name'      => '充值卡名称',
            'default'   => '',
            'desc'      => '充值卡名称',
            'match'     => 'is_numeric',
            'update'    => 'text',
            'list'    	=> true,
        ),

        'cash'      => array
        (
            'type'      => 'varchar-100',
            'name'      => '充值卡金额',
            'default'   => '',
            'desc'      => '充值卡金额',
            'match'     => 'is_string',
            'update'    => 'text',
            'list'    	=> true,
        ),

        'pay'      => array
        (
           	'type'      => 'varchar-100',
            'name'      => '支付金额',
            'default'   => '',
            'desc'      => '支付金额',
            'match'     => 'is_string',
            'update'    => 'text',
            'list'    	=> true,
        ),

        'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '交易时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list_name' => '交易时间',
            'list'        => 'date("Y-m-d H:i", {cdate})',
        ),
    ),

    'manage' => array
    (
        'link' => 'parent=config.config_card',
        'insert' => false,
        'edit' => false,

        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),
        'list_button' => array
        (
            'edit' => array('编辑'),
        )
    ),

    'request' => array
    (
        
    ),
);
