<?php
namespace Account\Src;
use Dever;
use User\Lib\Core;
class Pay extends Core
{
    # 充值
    public function act()
    {
    	$account = Dever::load('account/lib/info')->getInfo($this->uid, false, 1);
    	if ($account) {
            $cash = $price = Dever::input('cash');
            $card_id = Dever::input('card_id');
            if ($card_id) {
                $card = Dever::load('account/lib/card')->getInfo($card_id, $account['config_id']);
                $cash = $card['cash'];
                $price = $card['pay'];
            }
            if (!$cash) {
                Dever::alert('请输入充值金额');
            }
            $data['uid'] = $this->uid;
            $data['username'] = Dever::load("user/lib/info.get#aname", $data['uid']);
            $data['config_id'] = $account['config_id'];
            $data['info_id'] = $account['id'];
            $data['card_id'] = $card_id;
            $data['name'] = $account['config']['name'] . '充值';
            $data['cash'] = $cash;
            $data['price'] = $price;
            $data['yue'] = $account['cash'] + $cash;
            $data['pay_channel_id'] = $account['config']['pay_channel_id'];
            $data['pay_project_id'] = $account['config']['pay_project_id'];

            return Dever::load('account/lib/pay')->create($data);
        }
    }
}
