<?php
return array
(
	# 表名
	'name' => 'config_profit_rule',
	# 显示给用户看的名称
	'lang' => '钱包收益规则设置',
	'menu' => false,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
			'order'		=> 'asc',
		),

		'profit_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '收益id',
			'default' 	=> '',
			'desc' 		=> '收益id',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_profit_id'),
		),

		'level'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '层级',
			'default' 	=> '0',
			'desc' 		=> '层级',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
		),

		'condition'      => array
        (
            'type'      => 'varchar-300',
            'name'      => '条件',
            'default'   => '',
            'desc'      => '条件',
            'match'     => 'is_string',
            'update'    => 'text',
        ),

		'exp'      => array
        (
            'type'      => 'varchar-300',
            'name'      => '公式',
            'default'   => '',
            'desc'      => '收益',
            'match'     => 'is_string',
            'update'    => 'text',
        ),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			//'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
        'edit' => false,

        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),
		'list_button' => array
        (
        	'edit' => array('编辑'),
        )
	),

	'request' => array
	(
		
	)
);
