<?php
$sign = array
(
	1 => '已签约',
	2 => '未签约',
);
$agreement = array
(
	1 => '已签署',
	2 => '未签署',
);
return array
(
	# 表名
	'name' => 'withdraw_info',
	# 显示给用户看的名称
	'lang' => '提现人信息',
	'order' => 100,
	'menu' => false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'list'		=> true,
		),

		'info_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '账户id',
			'default' 	=> '',
			'desc' 		=> '账户id',
			'match' 	=> 'is_numeric',
            'search'    => 'hidden',
            'update'	=> 'hidden',
            'value'		=> Dever::input('search_option_info_id'),
		),

		'name'		=> array
		(
			'type'      => 'varchar-200',
			'name' 		=> '提现人姓名',
			'default' 	=> '',
			'desc' 		=> '提现人姓名',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),

		'idcard'		=> array
		(
			'type'      => 'varchar-200',
			'name' 		=> '提现人身份证号',
			'default' 	=> '',
			'desc' 		=> '提现人身份证号',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),

		'mobile'		=> array
		(
			'type'      => 'varchar-11',
			'name' 		=> '提现人手机号',
			'default' 	=> '',
			'desc' 		=> '提现人手机号',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),

		'sign'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '是否已签约-这里也可以不做改动，如不做改动会自动从第三方接口中获取签约状态',
            'default'   => '2',
            'desc'      => '是否已签约',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $sign,
        ),

        'agreement'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '是否签署合同协议',
            'default'   => '2',
            'desc'      => '是否签署合同协议',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $agreement,
        ),

        'agreement_pic'     => array
        (
			'type'      => 'varchar-150',
			'name'      => '合同协议图片',
			'default'   => ' ',
			'desc'      => '合同协议图片',
			'match'     => 'option',
			'update'    => 'image',
			'key'       => '1',
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	'manage' => array
	(
		
	),

	# request 请求接口定义
	'request' => array
	(
		
	)
);
