<?php
namespace Account\Src;
use Dever;
use User\Lib\Core;
class Profit extends Core
{
    public function getHome()
    {
        $data['account'] = Dever::load('account/lib/info')->getInfo($this->uid);
        if (Dever::input('account_key') == 'yongjin') {
            # 获取提现中
            $cash = Dever::load('account/lib/log')->getCash(2, $data['account']['id'], 2);
            if ($cash && $cash['ycash']) {
                $k_cash = $cash['ycash'];
            } else {
                $k_cash = 0;
            }
            $data['account']['cash'] += $k_cash;
        }
        $data['list'] = Dever::db('account/config_profit')->select(array('config_id' => $data['account']['config_id']));
        $data['total'] = $data['account']['cash'];
        $data['profit_total'] = 0;
        if ($data['list']) {
        	foreach ($data['list'] as $k => $v) {
        		$profit = Dever::db('account/profit')->one(array('uid' => $this->uid, 'config_profit_id' => $v['id']));
        		if ($profit) {
        			$data['profit_total'] += $profit['ycash'];
        		}
        	}
        }
        $data['total'] = Dever::number($data['total']);
        $data['profit_total'] = Dever::number($data['profit_total']);
        return $data;
    }

    public function getList()
    {
    	$id = Dever::input('id');
    	if (!$id) {
    		Dever::alert('收益错误');
    	}
    	$account = Dever::load('account/lib/info')->getInfo($this->uid);
        
        $data['info'] = Dever::load('account/lib/profit')->get($this->uid, $id, $account['config_id'], $account['project_id']);
        $data['list'] = Dever::load('account/lib/profit')->getList($this->uid, $data['info']['id']);
        return $data;
    }

    public function getView()
    {
        $id = Dever::input('id');
        $id = Dever::input('id');
    	if (!$id) {
    		Dever::alert('收益错误');
    	}
        return Dever::load('account/lib/profit')->getInfo($id);
    }

    public function test()
    {
    	# 插入一个收益记录
    	//Dever::load('account/lib/profit.up_commit', $this->uid, 100, 'zhitui', 'type', 1, 'xxx订单记录', 1, 'test');

    	# 结算5块钱
    	Dever::load('account/lib/profit.up_commit', $this->uid, 100, 'zhitui', 2, 'type', 5, 'xxx订单记录', 'test');

    	return 'ok';
    }
}
